Index: trunk/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trcdta.F90	(revision 334)
+++ trunk/NEMO/TOP_SRC/trcdta.F90	(revision 335)
@@ -5,6 +5,4 @@
    !!=====================================================================
    !!  TOP 1.0,  LOCEAN-IPSL (2005)
-   !! $Header$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
 
@@ -16,8 +14,8 @@
    !!----------------------------------------------------------------------
    !! * Modules used
-      USE oce_trc
-      USE trc
-      USE par_sms
-      USE lib_print
+   USE oce_trc
+   USE trc
+   USE par_sms
+   USE lib_print
 
    IMPLICIT NONE
@@ -51,31 +49,31 @@
    !!   Default case                                            NetCDF file
    !!----------------------------------------------------------------------
-
+   
    SUBROUTINE dta_trc( kt )
-!!----------------------------------------------------------------------
-!!                   ***  ROUTINE dta_trc  ***
-!!
-!! ** Purpose :   Reads passive tracer data (Levitus monthly data)
-!!
-!! ** Method  :   Read on unit numtr the interpolated tracer concentra-
-!!      tion onto the global grid. Data begin at january. 
-!!      The value is centered at the middle of month. 
-!!      In the opa model, kt=1 agree with january 1. 
-!!      At each time step, a linear interpolation is applied between 
-!!      two monthly values.
-!!
-!! History :
-!!   8.2  !  02-04  (O. Aumont)  Original code
-!!   9.0  !  04-03  (C. Ethe)    
-!!   9.0  !  05-03  (O. Aumont and A. El Moussaoui) F90
-!!----------------------------------------------------------------------
-!! * Modules used
+      !!----------------------------------------------------------------------
+      !!                   ***  ROUTINE dta_trc  ***
+      !!
+      !! ** Purpose :   Reads passive tracer data (Levitus monthly data)
+      !!
+      !! ** Method  :   Read on unit numtr the interpolated tracer concentra-
+      !!      tion onto the global grid. Data begin at january. 
+      !!      The value is centered at the middle of month. 
+      !!      In the opa model, kt=1 agree with january 1. 
+      !!      At each time step, a linear interpolation is applied between 
+      !!      two monthly values.
+      !!
+      !! History :
+      !!   8.2  !  02-04  (O. Aumont)  Original code
+      !!   9.0  !  04-03  (C. Ethe)    
+      !!   9.0  !  05-03  (O. Aumont and A. El Moussaoui) F90
+      !!----------------------------------------------------------------------
+      !! * Modules used
       USE ioipsl
 
-!! * Arguments
+      !! * Arguments
       !! * Arguments
       INTEGER, INTENT( in ) ::   kt     ! ocean time-step
 
-!! * Local declarations
+      !! * Local declarations
       INTEGER :: ji, jj, jn, jl 
       INTEGER, PARAMETER ::  &
@@ -90,160 +88,160 @@
       REAL(wp), DIMENSION (jpk) ::  zlev
       REAL(wp) :: zdate0, zxy, zl
-!!----------------------------------------------------------------------
+      !!----------------------------------------------------------------------
 
       DO jn = 1, jptra
 
-        IF( lutini(jn) ) THEN 
-
-          IF ( kt == nit000 ) THEN
-!! 3D tracer data
-            IF(lwp)WRITE(numout,*)
-            IF(lwp)WRITE(numout,*) ' trcdta: reading tracer' 
-            IF(lwp)WRITE(numout,*) ' data file ', jn
-            IF(lwp)WRITE(numout,*)
-            nlectr(jn) = 0
-          ENDIF
-! Initialization
-        iman = jpmois
-        i15  = nday/16
-        imois = nmonth + i15 -1
-        IF( imois == 0 ) imois = iman
-        itime = jpmois
-        ipi = jpiglo
-        ipj = jpjglo
-
-! First call kt=nit000
-! --------------------
-
-        IF ( kt == nit000 .AND. nlectr(jn) == 0 ) THEN
-          ntrc1(jn) = 0
-          IF(lwp) THEN
-            WRITE(numout,*)
-            WRITE(numout,*) ' Tracer monthly fields' 
-            WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~'
-            WRITE(numout,*) ' NetCDF FORMAT'
-            WRITE(numout,*)
-          ENDIF
-
-! open file 
-
-          clname(jn) = 'LEVITUS_'//ctrcnm(jn)
-          CALL flinopen(TRIM(clname(jn)),mig(1),nlci,mjg(1),nlcj,    &
-                        .FALSE.,ipi,ipj,ipk,zlon,zlat,zlev,itime,    &
-                        istep,zdate0,rdt,numtr(jn)               )
-
-! title, dimensions and tests
-          IF( itime /= jpmois ) THEN
+         IF( lutini(jn) ) THEN 
+
+            IF ( kt == nit000 ) THEN
+               !! 3D tracer data
+               IF(lwp)WRITE(numout,*)
+               IF(lwp)WRITE(numout,*) ' trcdta: reading tracer' 
+               IF(lwp)WRITE(numout,*) ' data file ', jn
+               IF(lwp)WRITE(numout,*)
+               nlectr(jn) = 0
+            ENDIF
+            ! Initialization
+            iman = jpmois
+            i15  = nday/16
+            imois = nmonth + i15 -1
+            IF( imois == 0 ) imois = iman
+            itime = jpmois
+            ipi = jpiglo
+            ipj = jpjglo
+
+            ! First call kt=nit000
+            ! --------------------
+
+            IF ( kt == nit000 .AND. nlectr(jn) == 0 ) THEN
+               ntrc1(jn) = 0
+               IF(lwp) THEN
+                  WRITE(numout,*)
+                  WRITE(numout,*) ' Tracer monthly fields' 
+                  WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~'
+                  WRITE(numout,*) ' NetCDF FORMAT'
+                  WRITE(numout,*)
+               ENDIF
+
+               ! open file 
+
+               clname(jn) = 'LEVITUS_'//ctrcnm(jn)
+               CALL flinopen(TRIM(clname(jn)),mig(1),nlci,mjg(1),nlcj,    &
+                  .FALSE.,ipi,ipj,ipk,zlon,zlat,zlev,itime,    &
+                  istep,zdate0,rdt,numtr(jn)               )
+
+               ! title, dimensions and tests
+               IF( itime /= jpmois ) THEN
+                  IF(lwp) THEN
+                     WRITE(numout,*) ' '
+                     WRITE(numout,*) 'problem with time coordinates'
+                     WRITE(numout,*) ' itime ',itime,' jpmois ',jpmois
+                  ENDIF
+                  STOP 'trc_dta'
+               ENDIF
+
+               IF( ipi /= jpidta .OR. ipj /= jpjdta .OR. ipk /= jpk ) THEN
+                  IF(lwp) THEN
+                     WRITE(numout,*) ' '
+                     WRITE(numout,*) 'problem with dimensions'
+                     WRITE(numout,*) ' ipi ',ipi,' jpidta ',jpidta
+                     WRITE(numout,*) ' ipj ',ipj,' jpjdta ',jpjdta
+                     WRITE(numout,*) ' ipk ',ipk,' jpk ',jpk
+                  ENDIF
+                  STOP 'trc_dta'
+               ENDIF
+               IF(lwp)WRITE(numout,*) itime,istep,zdate0,rdt,numtr(jn)
+               trdta(:,:,:,jn) = 0.
+
+            ENDIF
+
+
+            ! Read montly file
+            IF( ( kt == nit000 .AND. nlectr(jn) == 0)   & 
+               .OR. imois /= ntrc1(jn) ) THEN
+               nlectr(jn) = 1
+
+               ! Calendar computation
+
+               ! ntrc1 number of the first file record used in the simulation
+               ! ntrc2 number of the last  file record
+
+               ntrc1(jn) = imois
+               ntrc2(jn) = ntrc1(jn) + 1
+               ntrc1(jn) = MOD( ntrc1(jn), iman )
+               IF ( ntrc1(jn) == 0 ) ntrc1(jn) = iman
+               ntrc2(jn) = MOD( ntrc2(jn), iman )
+               IF ( ntrc2(jn) == 0 ) ntrc2(jn) = iman
+               IF(lwp) WRITE(numout,*) 'first record file used ntrc1 ', ntrc1(jn) 
+               IF(lwp) WRITE(numout,*) 'last  record file used ntrc2 ', ntrc2(jn)
+
+               ! Read montly passive tracer data Levitus 
+
+               CALL flinget( numtr(jn),ctrcnm(jn),jpidta,jpjdta,jpk,    &
+                  jpmois,ntrc1(jn),ntrc1(jn),mig(1),nlci,mjg(1),nlcj,  &
+                  tracdta(1:nlci,1:nlcj,1:jpk,jn,1)                  )
+
+               CALL flinget( numtr(jn),ctrcnm(jn),jpidta,jpjdta,jpk,     &
+                  jpmois,ntrc2(jn),ntrc2(jn),mig(1),nlci,mjg(1),nlcj,   &
+                  tracdta(1:nlci,1:nlcj,1:jpk,jn,2)                  )
+
+               IF(lwp) THEN
+                  WRITE(numout,*)
+                  WRITE(numout,*) ' read tracer data ', ctrcnm(jn),' ok'
+                  WRITE(numout,*)
+               ENDIF
+
+               ! Apply Mask
+               DO jl = 1, 2
+                  tracdta(:,:,:  ,jn,jl) = tracdta(:,:,:,jn,jl) * tmask(:,:,:) 
+                  tracdta(:,:,jpk,jn,jl) = 0.
+                  IF( lk_zps ) THEN                ! z-coord. with partial steps
+                     DO jj = 1, jpj                ! interpolation of temperature at the last level
+                        DO ji = 1, jpi
+                           ik = mbathy(ji,jj) - 1
+                           IF( ik > 2 ) THEN
+                              zl = ( gdept(ik) - fsdept(ji,jj,ik) ) / ( gdept(ik) - gdept(ik-1) )
+                              tracdta(ji,jj,ik,jn,jl) = (1.-zl) * tracdta(ji,jj,ik,jn,jl) + zl * tracdta(ji,jj,ik-1,jn,jl)
+                           ENDIF
+                        END DO
+                     END DO
+                  ENDIF
+
+               END DO
+
+            ENDIF
+
             IF(lwp) THEN
-              WRITE(numout,*) ' '
-              WRITE(numout,*) 'problem with time coordinates'
-              WRITE(numout,*) ' itime ',itime,' jpmois ',jpmois
-            ENDIF
-            STOP 'trc_dta'
-          ENDIF
-
-          IF( ipi /= jpidta .OR. ipj /= jpjdta .OR. ipk /= jpk ) THEN
-            IF(lwp) THEN
-              WRITE(numout,*) ' '
-              WRITE(numout,*) 'problem with dimensions'
-              WRITE(numout,*) ' ipi ',ipi,' jpidta ',jpidta
-              WRITE(numout,*) ' ipj ',ipj,' jpjdta ',jpjdta
-              WRITE(numout,*) ' ipk ',ipk,' jpk ',jpk
-            ENDIF
-            STOP 'trc_dta'
-          ENDIF
-          IF(lwp)WRITE(numout,*) itime,istep,zdate0,rdt,numtr(jn)
-          trdta(:,:,:,jn) = 0.
-
-        ENDIF
-
-
-! Read montly file
-        IF( ( kt == nit000 .AND. nlectr(jn) == 0)   & 
-              .OR. imois /= ntrc1(jn) ) THEN
-           nlectr(jn) = 1
-
-! Calendar computation
-
-! ntrc1 number of the first file record used in the simulation
-! ntrc2 number of the last  file record
-
-          ntrc1(jn) = imois
-          ntrc2(jn) = ntrc1(jn) + 1
-          ntrc1(jn) = MOD( ntrc1(jn), iman )
-          IF ( ntrc1(jn) == 0 ) ntrc1(jn) = iman
-          ntrc2(jn) = MOD( ntrc2(jn), iman )
-          IF ( ntrc2(jn) == 0 ) ntrc2(jn) = iman
-          IF(lwp) WRITE(numout,*) 'first record file used ntrc1 ', ntrc1(jn) 
-          IF(lwp) WRITE(numout,*) 'last  record file used ntrc2 ', ntrc2(jn)
-
-! Read montly passive tracer data Levitus 
-
-          CALL flinget( numtr(jn),ctrcnm(jn),jpidta,jpjdta,jpk,    &
-               jpmois,ntrc1(jn),ntrc1(jn),mig(1),nlci,mjg(1),nlcj,  &
-               tracdta(1:nlci,1:nlcj,1:jpk,jn,1)                  )
-
-          CALL flinget( numtr(jn),ctrcnm(jn),jpidta,jpjdta,jpk,     &
-               jpmois,ntrc2(jn),ntrc2(jn),mig(1),nlci,mjg(1),nlcj,   &
-               tracdta(1:nlci,1:nlcj,1:jpk,jn,2)                  )
-
-          IF(lwp) THEN
-            WRITE(numout,*)
-            WRITE(numout,*) ' read tracer data ', ctrcnm(jn),' ok'
-            WRITE(numout,*)
-          ENDIF
-
-! Apply Mask
-          DO jl = 1, 2
-            tracdta(:,:,:  ,jn,jl) = tracdta(:,:,:,jn,jl) * tmask(:,:,:) 
-            tracdta(:,:,jpk,jn,jl) = 0.
-            IF( lk_zps ) THEN                ! z-coord. with partial steps
-               DO jj = 1, jpj                ! interpolation of temperature at the last level
-                  DO ji = 1, jpi
-                     ik = mbathy(ji,jj) - 1
-                     IF( ik > 2 ) THEN
-                        zl = ( gdept(ik) - fsdept(ji,jj,ik) ) / ( gdept(ik) - gdept(ik-1) )
-                        tracdta(ji,jj,ik,jn,jl) = (1.-zl) * tracdta(ji,jj,ik,jn,jl) + zl * tracdta(ji,jj,ik-1,jn,jl)
-                     ENDIF
-                  END DO
-               END DO
-            ENDIF
-
-          END DO
-
-        ENDIF
-
-        IF(lwp) THEN
-          WRITE(numout,*) ctrcnm(jn), 'Levitus month ', ntrc1(jn),   &
-                          ntrc2(jn)
-          WRITE(numout,*)
-          WRITE(numout,*) ' Levitus month = ', ntrc1(jn),   &
+               WRITE(numout,*) ctrcnm(jn), 'Levitus month ', ntrc1(jn),   &
+                  ntrc2(jn)
+               WRITE(numout,*)
+               WRITE(numout,*) ' Levitus month = ', ntrc1(jn),   &
                   '  level = 1'
-          CALL prihre( tracdta(1,1,1,jn,1), jpi, jpj, 1, jpi, 20, 1   &
+               CALL prihre( tracdta(1,1,1,jn,1), jpi, jpj, 1, jpi, 20, 1   &
                   ,jpj, 20, 1., numout )
-          WRITE(numout,*) ' Levitus month = ', ntrc1(jn),    &
+               WRITE(numout,*) ' Levitus month = ', ntrc1(jn),    &
                   '  level = ',jpk/2
-          CALL prihre( tracdta(1,1,jpk/2,jn,1), jpi, jpj, 1, jpi,    &
+               CALL prihre( tracdta(1,1,jpk/2,jn,1), jpi, jpj, 1, jpi,    &
                   20, 1, jpj, 20, 1., numout )
-          WRITE(numout,*) ' Levitus month = ',ntrc1(jn)     &
+               WRITE(numout,*) ' Levitus month = ',ntrc1(jn)     &
                   ,'  level = ',jpkm1
-          CALL prihre( tracdta(1,1,jpkm1,jn,1), jpi, jpj, 1, jpi,     &
+               CALL prihre( tracdta(1,1,jpkm1,jn,1), jpi, jpj, 1, jpi,     &
                   20, 1, jpj, 20, 1., numout )
-        ENDIF 
-
-! At every time step compute temperature data
-
-        zxy = FLOAT( nday + 15 - 30 * i15 ) / 30.
-        trdta(:,:,:,jn)=  ( 1. - zxy ) * tracdta(:,:,:,jn,1)    &
-                       +       zxy   * tracdta(:,:,:,jn,2) 
-   
-        IF( jn == jpno3) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 7.6E-6
-        IF( jn == jpdic) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
-        IF( jn == jptal) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
-        IF( jn == jpoxy) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 44.6E-6
-        IF( jn == jpsil) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
-
-
-      ENDIF
+            ENDIF
+
+            ! At every time step compute temperature data
+
+            zxy = FLOAT( nday + 15 - 30 * i15 ) / 30.
+            trdta(:,:,:,jn)=  ( 1. - zxy ) * tracdta(:,:,:,jn,1)    &
+               +       zxy   * tracdta(:,:,:,jn,2) 
+
+            IF( jn == jpno3) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 7.6E-6
+            IF( jn == jpdic) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
+            IF( jn == jptal) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
+            IF( jn == jpoxy) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 44.6E-6
+            IF( jn == jpsil) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
+
+
+         ENDIF
 
       END DO
Index: trunk/NEMO/TOP_SRC/trcdtr.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trcdtr.F90	(revision 334)
+++ trunk/NEMO/TOP_SRC/trcdtr.F90	(revision 335)
@@ -61,8 +61,8 @@
 !! ================== 
       INTEGER :: ji,jj,jk,jn 
+#if defined key_trc_pisces
       REAL(wp) :: alka0,oxyg0,calc0,bioma0,    &
-                   silic1,po4,no3,                 &
-                   caralk,bicarb,                  &
-                   ztraa, ztrab, ztran
+                  silic1,po4,no3,caralk,bicarb
+#endif
 !!---------------------------------------------------------------------
 !!  OPA.9 
@@ -76,133 +76,7 @@
       IF(lwp) WRITE(numout,*) ' '
 
-#if defined key_trc_hamocc3
-      sco2   = 2.15e-3
-      alka0  = 2.45e-3
-      oxyg0  = 2.e-4
-      po4    = 2.1e-6/po4r
-      bioma0 = 1.e-8
-      silic1 = 85.e-6
-      calc0  = 1.e-5
-
-      trn(:,:,:,jpdic) = sco2
-      trn(:,:,:,jptal) = alka0
-      trn(:,:,:,jpoxy) = oxyg0
-      trn(:,:,:,jppo4) = po4
-      trn(:,:,:,jppoc) = bioma0
-      trn(:,:,:,jpsil) = silic1
-      trn(:,:,:,jpcal) = calc0
-#if defined key_trc_p3zd
-      trn(:,:,:,jpphy) = bioma0
-      trn(:,:,:,jpzoo) = bioma0
-      trn(:,:,:,jpdoc) = bioma0
-#endif
-
-      DO jk = 1, jpk
-        DO jj = 1, jpj
-          DO ji = 1, jpi
-            caralk = trn(ji,jj,jk,jptal)-
-     &                 bor/(1.+1.E-7/akb3(ji,jj,jk))
-           co3(ji,jj,jk) = caralk-trn(ji,jj,jk,jpdic)
-           bicarb = (2.*trn(ji,jj,jk,jpdic)-caralk)
-           hi(ji,jj,jk) = ak23(ji,jj,jk)*bicarb/co3(ji,jj,jk)
-          ENDDO
-        ENDDO
-      ENDDO
-
-      h2co3(:,:) = 1.e-5
-
-!!  initialize Silicate and Calcite in sediments
-!!  --------------------------------------------
-
-      sedcal = 0.
-      sedsil = 0.
-
-      IF(lwp) WRITE(numout,*) 'Initialization of P3ZD tracers done'
-      IF(lwp) WRITE(numout,*) '-----------------------------------'
-
-#elif defined key_cfc
+
+#if defined key_cfc
       trn(:,:,:,:)=0.0
-#elif defined key_gosac
-      trn(:,:,:,1)=1895.*1.e-6*1028.*tmask(:,:,:)
-      trn(:,:,:,2)=0.9*1895.*1.e-6*1028.*tmask(:,:,:)
-
-#elif defined key_trc_age
-      trn(:,:,:,1)=1.
-      trn(:,:,:,2)=0. 
-
-#elif defined key_trc_lobster1 && (defined key_eel_r6 || defined key_eel_r2)
-! analytical initialisation used in Levy et al. (2001)
-      
-      DO jk=1,7
-        trn(:,:,jk,jpdet)=0.016*tmask(:,:,jk)
-        trn(:,:,jk,jpzoo)=0.018*tmask(:,:,jk)
-        trn(:,:,jk,jpphy)=0.036*tmask(:,:,jk)
-        trn(:,:,jk,jpno3)=1.e-5*tmask(:,:,jk)
-        trn(:,:,jk,jpnh4)=0.0005*tmask(:,:,jk)
-        trn(:,:,jk,jpdom)=0.017*tmask(:,:,jk)
-      END DO
-
-      trn(:,:,8,jpdet)=0.020*tmask(:,:,1)
-      trn(:,:,8,jpzoo)=0.027*tmask(:,:,1)
-      trn(:,:,8,jpphy)=0.041*tmask(:,:,1)
-      trn(:,:,8,jpno3)=0.00022*tmask(:,:,1)
-      trn(:,:,8,jpnh4)=0.0033*tmask(:,:,1)
-      trn(:,:,8,jpdom)=0.021*tmask(:,:,1)
-
-      trn(:,:,9,jpdet)=0.0556*tmask(:,:,1)
-      trn(:,:,9,jpzoo)=0.123*tmask(:,:,1)
-      trn(:,:,9,jpphy)=0.122*tmask(:,:,1)
-      trn(:,:,9,jpno3)=0.028*tmask(:,:,1)
-      trn(:,:,9,jpnh4)=0.024*tmask(:,:,1)
-      trn(:,:,9,jpdom)=0.06*tmask(:,:,1)
-
-      trn(:,:,10,jpdet)=0.025*tmask(:,:,1)
-      trn(:,:,10,jpzoo)=0.016*tmask(:,:,1)
-      trn(:,:,10,jpphy)=0.029*tmask(:,:,1)
-      trn(:,:,10,jpno3)=2.462*tmask(:,:,1)
-      trn(:,:,10,jpnh4)=0.04*tmask(:,:,1)
-      trn(:,:,10,jpdom)=0.022*tmask(:,:,1)
-
-      trn(:,:,11,jpdet)=0.0057*tmask(:,:,1)
-      trn(:,:,11,jpzoo)=0.0005*tmask(:,:,1)
-      trn(:,:,11,jpphy)=0.0006*tmask(:,:,1)
-      trn(:,:,11,jpno3)=3.336*tmask(:,:,1)
-      trn(:,:,11,jpnh4)=0.005*tmask(:,:,1)
-      trn(:,:,11,jpdom)=0.004*tmask(:,:,1)
-
-      trn(:,:,12,jpdet)=0.002*tmask(:,:,1)
-      trn(:,:,12,jpzoo)=1.e-6*tmask(:,:,1)
-      trn(:,:,12,jpphy)=5.e-6*tmask(:,:,1)
-      trn(:,:,12,jpno3)=4.24*tmask(:,:,1)
-      trn(:,:,12,jpnh4)=0.001*tmask(:,:,1)
-      trn(:,:,12,jpdom)=3.e-5*tmask(:,:,1)
-
-      DO jk=13,jpk
-        trn(:,:,jk,jpdet)=0.0
-        trn(:,:,jk,jpzoo)=0.0
-        trn(:,:,jk,jpphy)=0.0
-        trn(:,:,jk,jpnh4)=0.0
-        trn(:,:,jk,jpdom)=0.0
-      END DO
-
-      trn(:,:,13,jpno3)=5.31*tmask(:,:,13)
-      trn(:,:,14,jpno3)=6.73*tmask(:,:,14)
-      trn(:,:,15,jpno3)=8.32*tmask(:,:,15)
-      trn(:,:,16,jpno3)=10.13*tmask(:,:,16)
-      trn(:,:,17,jpno3)=11.95*tmask(:,:,17)
-      trn(:,:,18,jpno3)=13.57*tmask(:,:,18)
-      trn(:,:,19,jpno3)=15.08*tmask(:,:,19)
-      trn(:,:,20,jpno3)=16.41*tmask(:,:,20)
-      trn(:,:,21,jpno3)=17.47*tmask(:,:,21)
-      trn(:,:,22,jpno3)=18.29*tmask(:,:,22)
-      trn(:,:,23,jpno3)=18.88*tmask(:,:,23)
-      trn(:,:,24,jpno3)=19.30*tmask(:,:,24)
-      trn(:,:,25,jpno3)=19.68*tmask(:,:,25)
-      trn(:,:,26,jpno3)=19.91*tmask(:,:,26)
-      trn(:,:,27,jpno3)=19.99*tmask(:,:,27)
-      trn(:,:,28,jpno3)=20.01*tmask(:,:,28)
-      trn(:,:,29,jpno3)=20.01*tmask(:,:,29)
-      trn(:,:,30,jpno3)=20.01*tmask(:,:,30)
-
 #elif defined key_trc_pisces
 
@@ -265,11 +139,105 @@
       xksi(:,:)=2.E-6
 
-!! initialize Silicate and Calcite in sediments
-!! --------------------------------------------
+!! initialize Silicate and Calcite and POC in sediments
+!! ---------------------------------------------------
       sedcal(:,:) = 0.
       sedsil(:,:) = 0.
+      sedpoc(:,:) = 0.
 
       IF(lwp) WRITE(numout,*) 'Initialization of PISCES tracers done'
       IF(lwp) WRITE(numout,*) ' '
+
+#elif defined key_trc_lobster1 && ( defined key_eel_r6 || defined key_eel_r2 )
+! analytical initialisation used in Levy et al. (2001)
+      
+      DO jk=1,7
+        trn(:,:,jk,jpdet)=0.016*tmask(:,:,jk)
+        trn(:,:,jk,jpzoo)=0.018*tmask(:,:,jk)
+        trn(:,:,jk,jpphy)=0.036*tmask(:,:,jk)
+        trn(:,:,jk,jpno3)=1.e-5*tmask(:,:,jk)
+        trn(:,:,jk,jpnh4)=0.0005*tmask(:,:,jk)
+        trn(:,:,jk,jpdom)=0.017*tmask(:,:,jk)
+      END DO
+
+      trn(:,:,8,jpdet)=0.020*tmask(:,:,1)
+      trn(:,:,8,jpzoo)=0.027*tmask(:,:,1)
+      trn(:,:,8,jpphy)=0.041*tmask(:,:,1)
+      trn(:,:,8,jpno3)=0.00022*tmask(:,:,1)
+      trn(:,:,8,jpnh4)=0.0033*tmask(:,:,1)
+      trn(:,:,8,jpdom)=0.021*tmask(:,:,1)
+
+      trn(:,:,9,jpdet)=0.0556*tmask(:,:,1)
+      trn(:,:,9,jpzoo)=0.123*tmask(:,:,1)
+      trn(:,:,9,jpphy)=0.122*tmask(:,:,1)
+      trn(:,:,9,jpno3)=0.028*tmask(:,:,1)
+      trn(:,:,9,jpnh4)=0.024*tmask(:,:,1)
+      trn(:,:,9,jpdom)=0.06*tmask(:,:,1)
+
+      trn(:,:,10,jpdet)=0.025*tmask(:,:,1)
+      trn(:,:,10,jpzoo)=0.016*tmask(:,:,1)
+      trn(:,:,10,jpphy)=0.029*tmask(:,:,1)
+      trn(:,:,10,jpno3)=2.462*tmask(:,:,1)
+      trn(:,:,10,jpnh4)=0.04*tmask(:,:,1)
+      trn(:,:,10,jpdom)=0.022*tmask(:,:,1)
+
+      trn(:,:,11,jpdet)=0.0057*tmask(:,:,1)
+      trn(:,:,11,jpzoo)=0.0005*tmask(:,:,1)
+      trn(:,:,11,jpphy)=0.0006*tmask(:,:,1)
+      trn(:,:,11,jpno3)=3.336*tmask(:,:,1)
+      trn(:,:,11,jpnh4)=0.005*tmask(:,:,1)
+      trn(:,:,11,jpdom)=0.004*tmask(:,:,1)
+
+      trn(:,:,12,jpdet)=0.002*tmask(:,:,1)
+      trn(:,:,12,jpzoo)=1.e-6*tmask(:,:,1)
+      trn(:,:,12,jpphy)=5.e-6*tmask(:,:,1)
+      trn(:,:,12,jpno3)=4.24*tmask(:,:,1)
+      trn(:,:,12,jpnh4)=0.001*tmask(:,:,1)
+      trn(:,:,12,jpdom)=3.e-5*tmask(:,:,1)
+
+      DO jk=13,jpk
+        trn(:,:,jk,jpdet)=0.0
+        trn(:,:,jk,jpzoo)=0.0
+        trn(:,:,jk,jpphy)=0.0
+        trn(:,:,jk,jpnh4)=0.0
+        trn(:,:,jk,jpdom)=0.0
+      END DO
+
+      trn(:,:,13,jpno3)=5.31*tmask(:,:,13)
+      trn(:,:,14,jpno3)=6.73*tmask(:,:,14)
+      trn(:,:,15,jpno3)=8.32*tmask(:,:,15)
+      trn(:,:,16,jpno3)=10.13*tmask(:,:,16)
+      trn(:,:,17,jpno3)=11.95*tmask(:,:,17)
+      trn(:,:,18,jpno3)=13.57*tmask(:,:,18)
+      trn(:,:,19,jpno3)=15.08*tmask(:,:,19)
+      trn(:,:,20,jpno3)=16.41*tmask(:,:,20)
+      trn(:,:,21,jpno3)=17.47*tmask(:,:,21)
+      trn(:,:,22,jpno3)=18.29*tmask(:,:,22)
+      trn(:,:,23,jpno3)=18.88*tmask(:,:,23)
+      trn(:,:,24,jpno3)=19.30*tmask(:,:,24)
+      trn(:,:,25,jpno3)=19.68*tmask(:,:,25)
+      trn(:,:,26,jpno3)=19.91*tmask(:,:,26)
+      trn(:,:,27,jpno3)=19.99*tmask(:,:,27)
+      trn(:,:,28,jpno3)=20.01*tmask(:,:,28)
+      trn(:,:,29,jpno3)=20.01*tmask(:,:,29)
+      trn(:,:,30,jpno3)=20.01*tmask(:,:,30)
+
+#elif defined key_trc_lobster1 && defined key_gyre
+! init NO3=f(density) by asklod AS Kremeur 2005-07
+      trn(:,:,:,jpdet)=0.1*tmask(:,:,:)
+      trn(:,:,:,jpzoo)=0.1*tmask(:,:,:)
+      trn(:,:,:,jpnh4)=0.1*tmask(:,:,:)
+      trn(:,:,:,jpphy)=0.1*tmask(:,:,:)
+      trn(:,:,:,jpdom)=1.*tmask(:,:,:)
+      DO  jk=1,jpk
+         DO  jj=1,jpj
+            DO  ji=1,jpi
+               IF (rhd(ji,jj,jk).LE.24.5e-3) THEN
+                  trn(ji,jj,jk,jpno3)=2.*tmask(ji,jj,jk)
+               ELSE
+                  trn(ji,jj,jk,jpno3)=(13.24*(rhd(ji,jj,jk)*1000)-324.4)*tmask(ji,jj,jk)
+               ENDIF
+            END DO
+         END DO
+      END DO
 
 #else
@@ -298,24 +266,12 @@
       trb(:,:,:,:) = trn(:,:,:,:)
 
-      IF(lwp) WRITE(numout,*)  ' '
-      DO jn = 1, jptra
-         IF( ln_ctl .AND. lwp ) THEN ! print mean trends (used for debugging)
-            ztraa = SUM( tra(1:nictle,1:njctle,1:jpk,jn) *   &
-                tmask(1:nictle,1:njctle,1:jpk) )
-            ztrab = SUM( trb(1:nictle,1:njctle,1:jpk,jn) *     &
-                tmask(1:nictle,1:njctle,1:jpk) )
-            ztran = SUM( trn(1:nictle,1:njctle,1:jpk,jn) *    &
-                tmask(1:nictle,1:njctle,1:jpk) )
-            WRITE(numout,*) ' trcdtr  - ',ctrcnm(jn),   &
-                ' : ', ztraa, '  ', ztrab, '  ', ztran
-         ENDIF
-      END DO
-
+#if defined key_trc_lobster1
 !!  initialize the POC in sediments
-#  if defined key_trc_npzd || defined key_trc_lobster1 || defined key_trc_hamocc3 || defined key_trc_pisces
-
-      sedpoc(:,:) = 0.
-
-#  endif
+
+      sedpocb(:,:) = 0.
+      sedpocn(:,:) = 0.
+      sedpoca(:,:) = 0.
+#endif
+      
  END SUBROUTINE trc_dtr 
 
